Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1CommandAdminCreate

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1CommandAdminCreate

Record Components:
  `fieldAdminId` - The admin.
  `fieldIdName` - The admin ID name.
  `fieldRealName` - The admin real name.
  `fieldEmail` - The admin email.
  `fieldPassword` - The admin password.
  `fieldPermissions` - The set of permissions.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdAType`, `ProtocolIdAv1Type`

public record IdA1CommandAdminCreate(com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldAdminId, com.io7m.cedarbridge.runtime.api.CBString fieldIdName, com.io7m.cedarbridge.runtime.api.CBString fieldRealName, com.io7m.cedarbridge.runtime.api.CBString fieldEmail, IdA1Password fieldPassword, com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission> fieldPermissions) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdAv1Type
Create an admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandAdminCreate(com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldAdminId, com.io7m.cedarbridge.runtime.api.CBString fieldIdName, com.io7m.cedarbridge.runtime.api.CBString fieldRealName, com.io7m.cedarbridge.runtime.api.CBString fieldEmail, IdA1Password fieldPassword, com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission> fieldPermissions)`
  Creates an instance of a `IdA1CommandAdminCreate` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1CommandAdminCreate`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1CommandAdminCreate.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID>`
  `fieldAdminId()`
  Returns the value of the `fieldAdminId` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldEmail()`
  Returns the value of the `fieldEmail` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldIdName()`
  Returns the value of the `fieldIdName` record component.
  `IdA1Password`
  `fieldPassword()`
  Returns the value of the `fieldPassword` record component.
  `com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission>`
  `fieldPermissions()`
  Returns the value of the `fieldPermissions` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldRealName()`
  Returns the value of the `fieldRealName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminCreate $x)`
  Serialize a value of type IdA1CommandAdminCreate.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandAdminCreate

    public IdA1CommandAdminCreate(com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldAdminId, com.io7m.cedarbridge.runtime.api.CBString fieldIdName, com.io7m.cedarbridge.runtime.api.CBString fieldRealName, com.io7m.cedarbridge.runtime.api.CBString fieldEmail, IdA1Password fieldPassword, com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission> fieldPermissions)
    Creates an instance of a `IdA1CommandAdminCreate` record class.
    Parameters:
      `fieldAdminId` - the value for the `fieldAdminId` record component
      `fieldIdName` - the value for the `fieldIdName` record component
      `fieldRealName` - the value for the `fieldRealName` record component
      `fieldEmail` - the value for the `fieldEmail` record component
      `fieldPassword` - the value for the `fieldPassword` record component
      `fieldPermissions` - the value for the `fieldPermissions` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminCreate $x) throws IOException
    Serialize a value of type IdA1CommandAdminCreate.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1CommandAdminCreate deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1CommandAdminCreate.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1CommandAdminCreate.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldAdminId

    public com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldAdminId()
    Returns the value of the `fieldAdminId` record component.
    Returns:
      the value of the `fieldAdminId` record component

  - ### fieldIdName

    public com.io7m.cedarbridge.runtime.api.CBString fieldIdName()
    Returns the value of the `fieldIdName` record component.
    Returns:
      the value of the `fieldIdName` record component

  - ### fieldRealName

    public com.io7m.cedarbridge.runtime.api.CBString fieldRealName()
    Returns the value of the `fieldRealName` record component.
    Returns:
      the value of the `fieldRealName` record component

  - ### fieldEmail

    public com.io7m.cedarbridge.runtime.api.CBString fieldEmail()
    Returns the value of the `fieldEmail` record component.
    Returns:
      the value of the `fieldEmail` record component

  - ### fieldPassword

    public IdA1Password fieldPassword()
    Returns the value of the `fieldPassword` record component.
    Returns:
      the value of the `fieldPassword` record component

  - ### fieldPermissions

    public com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission> fieldPermissions()
    Returns the value of the `fieldPermissions` record component.
    Returns:
      the value of the `fieldPermissions` record component